<?php
require_once('../../Connections/paivaconex.php'); 

function convertdata($data){
		if($data<>''){
		
		$data2 = explode("/", $data);
		$data3 = date('Y-m-d', mktime(0, 0, 0, $data2[1], $data2[0], $data2[2]));
		return $data3;
		}
	}

	
	
mysql_select_db($database_paivaconex, $paivaconex);
$query_receita_ini = "SELECT sum(Juros + Multa - Desconto - ir - pis - cofins - csll + Valor - outros - outros2- outros3 - 0) as valorliquido FROM mfin_recebimentos WHERE if(Recebimento <> '0', Recebimento, Vencimento) < '".convertdata($_GET['data_ini'])."'";
$receita_ini = mysql_query($query_receita_ini, $paivaconex) or die(mysql_error());
$row_receita_ini = mysql_fetch_assoc($receita_ini);
$totalRows_receita_ini = mysql_num_rows($receita_ini);

mysql_select_db($database_paivaconex, $paivaconex);
$query_despesas_ini = "SELECT sum(Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa + diferenca + outros) AS vl FROM mfin_pagamentos WHERE if(DtPagamento <> '0', DtPagamento, Vencimento) < '".convertdata($_GET['data_ini'])."'";
$despesas_ini = mysql_query($query_despesas_ini, $paivaconex) or die(mysql_error());
$row_despesas_ini = mysql_fetch_assoc($despesas_ini);
$totalRows_despesas_ini = mysql_num_rows($despesas_ini);	

$valor_ini = $row_receita_ini['valorliquido'] - $row_despesas_ini['vl'];


mysql_select_db($database_paivaconex, $paivaconex);
$query_fluxo_ini = "select (((((((((((`mfin_recebimentos`.`Juros` + `mfin_recebimentos`.`Multa`) - 
`mfin_recebimentos`.`Desconto`) - `mfin_recebimentos`.`ir`) - `mfin_recebimentos`.`pis`) - `mfin_recebimentos`.`cofins`) - 
`mfin_recebimentos`.`csll`) + `mfin_recebimentos`.`Valor`) - `mfin_recebimentos`.`outros`) - `mfin_recebimentos`.`outros2`) 
- `mfin_recebimentos`.`outros3`) - 0) AS `rec_vl`,0 AS `pag_vl`,`mfin_clientes`.`NomeFantasia` AS `NomeFantasia`,
`mfin_pastas`.`Numero` AS `numero_pasta`,`mfin_grupocontas`.`Nome` AS `conta_nome`,
date_format(if(mfin_recebimentos.Recebimento <> '0', mfin_recebimentos.Recebimento, 
mfin_recebimentos.Vencimento),'%d/%m/%Y') AS `dat_movimento`, if(mfin_recebimentos.Recebimento <> '0', 
mfin_recebimentos.Recebimento, mfin_recebimentos.Vencimento) AS `data_fluxo` from ((((`mfin_recebimentos` join `mfin_clientes`
 on((`mfin_recebimentos`.`Cliente_Id` = `mfin_clientes`.`Id`))) join `mfin_contas` on((`mfin_clientes`.`ContaResultado` = 
 `mfin_contas`.`Id`))) join `mfin_grupocontas` on((`mfin_contas`.`Grupo` = `mfin_grupocontas`.`Id`))) join `mfin_pastas` 
 on((`mfin_recebimentos`.`Pasta_Id` = `mfin_pastas`.`Id`))) WHERE if(mfin_recebimentos.Recebimento <> '0', mfin_recebimentos.Recebimento, 
mfin_recebimentos.Vencimento) >= '".convertdata($_GET['data_ini'])."' AND if(mfin_recebimentos.Recebimento <> '0', mfin_recebimentos.Recebimento, 
mfin_recebimentos.Vencimento) <= '".convertdata($_GET['data_fim'])."' ORDER by if(mfin_recebimentos.Recebimento <> '0', mfin_recebimentos.Recebimento, 
mfin_recebimentos.Vencimento)";
$fluxo_ini = mysql_query($query_fluxo_ini, $paivaconex) or die(mysql_error());
$row_fluxo_ini = mysql_fetch_assoc($fluxo_ini);
$totalRows_fluxo_ini = mysql_num_rows($fluxo_ini);	

mysql_select_db($database_paivaconex, $paivaconex);
$query_fluxo_ini_2 = "select 0 AS `rec_vl`,(((((((((((`mfin_pagamentos`.`Valor` - `mfin_pagamentos`.`Ir`) - `mfin_pagamentos`.`Pis`) - 
 `mfin_pagamentos`.`Cofins`) - `mfin_pagamentos`.`Csll`) - `mfin_pagamentos`.`Inss`) - `mfin_pagamentos`.`Iss`) + 
 `mfin_pagamentos`.`Juros`) - `mfin_pagamentos`.`Desconto`) + `mfin_pagamentos`.`Multa`) + `mfin_pagamentos`.`diferenca`)
 + `mfin_pagamentos`.`outros`) AS `pag_vl`,`mfin_fornecedores`.`NomeFantasia` AS `NomeFantasia`,
 `mfin_pastas`.`Numero` AS `numero_pasta`,`mfin_grupocontas`.`Nome` AS `conta_nome`,
 date_format(if(mfin_pagamentos.DtPagamento <> '0', mfin_pagamentos.DtPagamento, 
 mfin_pagamentos.Vencimento),'%d/%m/%Y') AS `dat_movimento`,if(mfin_pagamentos.DtPagamento <> '0', 
 mfin_pagamentos.DtPagamento, mfin_pagamentos.Vencimento) AS `data_fluxo` from 
 ((((`mfin_pagamentos` join `mfin_fornecedores` on((`mfin_pagamentos`.`Fornecedor` = `mfin_fornecedores`.`Id`))) join `mfin_contas` on((`mfin_fornecedores`.`ContaResultado` = `mfin_contas`.`Id`))) join `mfin_grupocontas` on((`mfin_contas`.`Grupo` = `mfin_grupocontas`.`Id`))) Left join `mfin_pastas` on((`mfin_pagamentos`.`Pasta` = `mfin_pastas`.`Id`))) 
 WHERE if(DtPagamento <> '0', DtPagamento, Vencimento) >= '".convertdata($_GET['data_ini'])."' AND 
 if(DtPagamento <> '0', DtPagamento, Vencimento) <= '".convertdata($_GET['data_fim'])."' 
 ORDER by if(DtPagamento <> '0', DtPagamento, Vencimento)";
$fluxo_ini_2 = mysql_query($query_fluxo_ini_2, $paivaconex) or die(mysql_error());
$row_fluxo_ini_2 = mysql_fetch_assoc($fluxo_ini_2);
$totalRows_fluxo_ini_2 = mysql_num_rows($fluxo_ini_2);

/**
 * PHPExcel
 *
 * Copyright (C) 2006 - 2013 PHPExcel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category   PHPExcel
 * @package    PHPExcel
 * @copyright  Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)
 * @license    http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt	LGPL
 * @version    1.7.9, 2013-06-02
 */

 
 
 
 
 
/** Error reporting */
error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);
date_default_timezone_set('Europe/London');

if (PHP_SAPI == 'cli')
	die('This example should only be run from a Web Browser');

/** Include PHPExcel */
require_once '../Classes/PHPExcel.php';


// Create new PHPExcel object
$objPHPExcel = new PHPExcel();

// Set document properties
$objPHPExcel->getProperties()->setCreator("Arvoros")
							 ->setLastModifiedBy("Arvoros")
							 ->setTitle("Fluxo Dabul Reis Lobo")
							 ->setSubject("Fluxo Dabul Reis Lobo")
							 ->setDescription("Fluxo Dabul Reis Lobo")
							 ->setKeywords("office 2007 openxml php")
							 ->setCategory("Fluxo Dabul Reis Lobo");


// Add some data
$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', 'Saldo Anterior')
            ->setCellValue('B2', $valor_ini)
			->setCellValue('B5', $_GET['data_ini'])
			->setCellValue('B4', 'Data Inicial')
			->setCellValue('C4', 'Data Final')
			->setCellValue('C5', $_GET['data_fim']);

			$i=7;

$objPHPExcel->setActiveSheetIndex(0)			
			->setCellValue('A'.$i, 'Data')
			->setCellValue('B'.$i, 'Nome')
			->setCellValue('C'.$i, 'Pasta')
			->setCellValue('D'.$i, 'Conta')
			->setCellValue('E'.$i, 'Recebimento')
			->setCellValue('F'.$i, 'Pagamento');
			
			$valor_final = $valor_ini;
do {
			
			$i++;
			
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$i, $row_fluxo_ini['dat_movimento']);
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$i, utf8_encode($row_fluxo_ini['NomeFantasia']));
			$objPHPExcel->getActiveSheet()->setCellValue('C'.$i, $row_fluxo_ini['numero_pasta']);
			$objPHPExcel->getActiveSheet()->setCellValue('D'.$i, utf8_encode($row_fluxo_ini['conta_nome']));
			$objPHPExcel->getActiveSheet()->setCellValue('E'.$i, $row_fluxo_ini['rec_vl']);
			$objPHPExcel->getActiveSheet()->setCellValue('F'.$i, $row_fluxo_ini['pag_vl']);
			
			$valor_final += $row_fluxo_ini['rec_vl'];
			$valor_final -= $row_fluxo_ini['pag_vl'];
			
} while ($row_fluxo_ini = mysql_fetch_assoc($fluxo_ini));


do {
			
			$i++;
			
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$i, $row_fluxo_ini_2['dat_movimento']);
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$i, utf8_encode($row_fluxo_ini_2['NomeFantasia']));
			$objPHPExcel->getActiveSheet()->setCellValue('C'.$i, $row_fluxo_ini_2['numero_pasta']);
			$objPHPExcel->getActiveSheet()->setCellValue('D'.$i, utf8_encode($row_fluxo_ini_2['conta_nome']));
			$objPHPExcel->getActiveSheet()->setCellValue('E'.$i, $row_fluxo_ini_2['rec_vl']);
			$objPHPExcel->getActiveSheet()->setCellValue('F'.$i, $row_fluxo_ini_2['pag_vl']);
			
			$valor_final += $row_fluxo_ini_2['rec_vl'];
			$valor_final -= $row_fluxo_ini_2['pag_vl'];
			
} while ($row_fluxo_ini_2 = mysql_fetch_assoc($fluxo_ini_2));
			
			$i +=3;

$objPHPExcel->setActiveSheetIndex(0)
			->setCellValue('C'.$i, 'Saldo Final')
			->setCellValue('C'.++$i, $valor_final);


// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('Fluxo');


// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);


// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="fluxo.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');



mysql_free_result($receita_ini);
mysql_free_result($despesas_ini);
mysql_free_result($fluxo_ini);

exit;
